# Uses of Class
org.eclipse.swt.graphics.FontMetrics

Packages that use FontMetrics
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.ui.views.markers
Utility classes for working with markers in views

## Uses of FontMetrics in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type FontMetrics
Modifier and Type
Method
Description
`static int`
Dialog.`convertHeightInCharsToPixels(FontMetrics fontMetrics, int chars)`
Returns the number of pixels corresponding to the height of the given number of characters.
`static int`
Dialog.`convertHorizontalDLUsToPixels(FontMetrics fontMetrics, int dlus)`
Returns the number of pixels corresponding to the given number of horizontal dialog units.
`static int`
Dialog.`convertVerticalDLUsToPixels(FontMetrics fontMetrics, int dlus)`
Returns the number of pixels corresponding to the given number of vertical dialog units.
`static int`
Dialog.`convertWidthInCharsToPixels(FontMetrics fontMetrics, int chars)`
Returns the number of pixels corresponding to the width of the given number of characters.

## Uses of FontMetrics in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return FontMetrics
Modifier and Type
Method
Description
`FontMetrics`
GC.`getFontMetrics()`
Returns a FontMetrics which contains information about the font currently being used by the receiver to draw and measure text.
`FontMetrics`
TextLayout.`getLineMetrics(int lineIndex)`
Returns the font metrics for the specified line index.
`static FontMetrics`
FontMetrics.`win32_new(org.eclipse.swt.internal.win32.TEXTMETRIC handle)`
Invokes platform specific functionality to allocate a new font metrics.

## Uses of FontMetrics in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return FontMetrics
Modifier and Type
Method
Description
`protected FontMetrics`
FilterConfigurationArea.`getFontMetrics()`
Return the `FontMetrics` for the receiver.